curl https://api.electronhub.ai/v1/auth/proxy \
-H "Authorization: Bearer $ELECTRONHUB_API_KEY"
import httpx
client = httpx.Client()
response = client.get(
"https://api.electronhub.ai/v1/auth/proxy",
headers={
"Authorization": f"Bearer {api_key}"
}
)
proxy_keys = response.json()
print(f"Found {len(proxy_keys)} proxy keys")
const response = await fetch('https://api.electronhub.ai/v1/auth/proxy', {
method: 'GET',
headers: {
'Authorization': `Bearer ${process.env.ELECTRONHUB_API_KEY}`,
},
});
const proxyKeys = await response.json();
console.log(`Found ${proxyKeys.length} proxy keys`);
[
{
"name": "Production API Key",
"key": "ek-proxy-1234567890abcdef",
"expires_at": 1735689600,
"allocated_ammount": 100.0,
"used_ammount": 25.5,
"is_active": true,
"model_whitelist": ["gpt-4o", "claude-3-5-sonnet-20241022"],
"ip_whitelist": ["192.168.1.0/24"],
"created_at": 1704067200,
"last_used": 1704153600
},
{
"name": "Development Key",
"key": "ek-proxy-abcdef1234567890",
"expires_at": -1,
"allocated_ammount": 10.0,
"used_ammount": 2.1,
"is_active": true,
"model_whitelist": [],
"ip_whitelist": [],
"created_at": 1704067200,
"last_used": 1704139200
}
]
Proxy Keys
List Proxy Keys
Retrieve all proxy keys for the authenticated user
GET
/
auth
/
proxy
curl https://api.electronhub.ai/v1/auth/proxy \
-H "Authorization: Bearer $ELECTRONHUB_API_KEY"
import httpx
client = httpx.Client()
response = client.get(
"https://api.electronhub.ai/v1/auth/proxy",
headers={
"Authorization": f"Bearer {api_key}"
}
)
proxy_keys = response.json()
print(f"Found {len(proxy_keys)} proxy keys")
const response = await fetch('https://api.electronhub.ai/v1/auth/proxy', {
method: 'GET',
headers: {
'Authorization': `Bearer ${process.env.ELECTRONHUB_API_KEY}`,
},
});
const proxyKeys = await response.json();
console.log(`Found ${proxyKeys.length} proxy keys`);
[
{
"name": "Production API Key",
"key": "ek-proxy-1234567890abcdef",
"expires_at": 1735689600,
"allocated_ammount": 100.0,
"used_ammount": 25.5,
"is_active": true,
"model_whitelist": ["gpt-4o", "claude-3-5-sonnet-20241022"],
"ip_whitelist": ["192.168.1.0/24"],
"created_at": 1704067200,
"last_used": 1704153600
},
{
"name": "Development Key",
"key": "ek-proxy-abcdef1234567890",
"expires_at": -1,
"allocated_ammount": 10.0,
"used_ammount": 2.1,
"is_active": true,
"model_whitelist": [],
"ip_whitelist": [],
"created_at": 1704067200,
"last_used": 1704139200
}
]
curl https://api.electronhub.ai/v1/auth/proxy \
-H "Authorization: Bearer $ELECTRONHUB_API_KEY"
import httpx
client = httpx.Client()
response = client.get(
"https://api.electronhub.ai/v1/auth/proxy",
headers={
"Authorization": f"Bearer {api_key}"
}
)
proxy_keys = response.json()
print(f"Found {len(proxy_keys)} proxy keys")
const response = await fetch('https://api.electronhub.ai/v1/auth/proxy', {
method: 'GET',
headers: {
'Authorization': `Bearer ${process.env.ELECTRONHUB_API_KEY}`,
},
});
const proxyKeys = await response.json();
console.log(`Found ${proxyKeys.length} proxy keys`);
[
{
"name": "Production API Key",
"key": "ek-proxy-1234567890abcdef",
"expires_at": 1735689600,
"allocated_ammount": 100.0,
"used_ammount": 25.5,
"is_active": true,
"model_whitelist": ["gpt-4o", "claude-3-5-sonnet-20241022"],
"ip_whitelist": ["192.168.1.0/24"],
"created_at": 1704067200,
"last_used": 1704153600
},
{
"name": "Development Key",
"key": "ek-proxy-abcdef1234567890",
"expires_at": -1,
"allocated_ammount": 10.0,
"used_ammount": 2.1,
"is_active": true,
"model_whitelist": [],
"ip_whitelist": [],
"created_at": 1704067200,
"last_used": 1704139200
}
]
Authorizations
Enter your API key (starts with 'ek-')
Response
200 - application/json
Success
Name of the proxy key
Maximum string length:
25Expiration timestamp (-1 for no expiration)
Allocated credit amount
Required range:
x >= 0List of allowed models
List of allowed IP addresses or CIDR blocks
Amount of credits used
Whether the proxy key is active
The proxy key value
Creation timestamp
Last usage timestamp
